Bug 1461765 - [RFE] Call OS sync after transaction
[RFE] Call OS sync after transaction
Status: POST
Product: Fedora
Classification: Fedora
Component: rpm (Show other bugs)
rawhide
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: packaging-team-maint
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2017-06-15 05:36 EDT by Lukas Zapletal
Modified: 2017-09-06 02:18 EDT (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Lukas Zapletal 2017-06-15 05:36:16 EDT
Hello,

I got power outage after dnf transaction was completed but before the ext4 default commit limit of 5 seconds. I think calling OS syscall "sync/fsync" can't much hurt and it could prevent from these situations.

A simple core plugin could do it, but this feature is only useful when enabled by default.
Comment 1 Igor Gnatenko 2017-06-21 03:44:01 EDT
dnf doesn't care about what happens after transaction, this is for RPM.
Comment 2 Panu Matilainen 2017-09-06 02:18:01 EDT
Yeah it seems like a no-brainer and mildly hysterical that rpm hasn't done this. Added upstream.

Note You need to log in before you can comment on or make changes to this bug.